Bug 208741 - Problem with RAID device on Intel ICH8R / P965 chipset
Problem with RAID device on Intel ICH8R / P965 chipset
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2006-10-01 07:58 EDT by Jochen Quintern
Modified: 2008-05-06 12:25 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:25:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Dump from bug produced by Fedora Core 6 Test 3 during installation (59.27 KB, text/plain)
2006-10-01 07:58 EDT, Jochen Quintern
no flags Details

  None (edit)
Description Jochen Quintern 2006-10-01 07:58:35 EDT
Description of problem:
Fedora 6 test 3 installation aborts with error when I configured the SATA port
on the Intel southbridge ICH8R as a RAID array of 3 or 4 SATA harddiscs.    

Version-Release number of selected component (if applicable):
Motherboard: Gigabyte GA-965P-DS4
Intel P965 Express Chipset with Southbridge Intel ICH8R, all SATA discs
connected to this port
Harddiscs: 4 x Samsung SP2504C
CPU: Intel Core 2 Duo 2400 GHz
Graphic Adapter: Leadtek WinFast PX7950 GT TDH

How reproducible:
The error allways occurs when I configure the SATA port for RAID and not as ACHI
in the Bios.

Steps to Reproduce:
1.Enter Bios Configuration, "Integrated Peripherals", set SATA RAID/AIHC Mode to
"RAID", and "Onboard SATA/IDE Ctrl Mode" as RAID/IDE
2.Enter the SATA configuration setup by Ctrl-I, configure a RAID volume with 3
or 4 discs
3.Reboot system, try to install Fedora Core 6 Test 3 from CD-ROM
Actual results:
Fedora installation terminates with an error after determining CD-ROM as the
installation medium

Expected results:
Fedora should support the RAID array and continue with installation

Additional info:
Comment 1 Jochen Quintern 2006-10-01 07:58:35 EDT
Created attachment 137495 [details]
Dump from bug produced by Fedora Core 6 Test 3 during installation
Comment 2 Ronny Freigang 2006-11-01 05:41:45 EST
The Problem still exists in FC6 final.

I use 4 SATA disks, 2 RAID-1 pairs.

I've configured SATA-disks in BIOS as RAID (AHCI works but i need raid support
at boot time)

After booting from cdrom (linux askmethod), i tried installation source http,
nfs or cdrom, after starting x-server all types hangs with a blank screen (text
installation hangs at the same time).

After switching to console (Alt-F2) and check dmraid -r i saw, that the Intel
Raid is properly detected and configured.

If i configure the disks with AHCI, the installation works fine, but i need the
raid support at boot time, because the boot disk inclusive /boot and grub config
also should be redundant.

Comment 3 Matthew Miller 2007-04-06 12:33:05 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Bug Zapper 2008-04-03 23:53:13 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:25:50 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.